from aiogram.types import InlineKeyboardMarkup, InlineKeyboardButton
from aiogram.filters.callback_data import CallbackData

class GameChoiceCallback(CallbackData, prefix="game"):
    choice: str


def get_game_choice_keyboard() -> InlineKeyboardMarkup:
    """Возвращает инлайн-клавиатуру с кнопками выбора хода."""
    buttons = [
        [
            InlineKeyboardButton(
                text="🗿 Камень",
                callback_data=GameChoiceCallback(choice="rock").pack()
            ),
            InlineKeyboardButton(
                text="✂️ Ножницы",
                callback_data=GameChoiceCallback(choice="scissors").pack()
            ),
            InlineKeyboardButton(
                text="📄 Бумага",
                callback_data=GameChoiceCallback(choice="paper").pack()
            )
        ]
    ]
    keyboard = InlineKeyboardMarkup(inline_keyboard=buttons)
    return keyboard
