# bot/keyboards/reply_keyboards.py

from aiogram.types import ReplyKeyboardMarkup, KeyboardButton

# Определим тексты кнопок как константы для удобства
PLAY_BUTTON_TEXT = "Играть ▶️"
STATS_BUTTON_TEXT = "Статистика 📊"

def get_main_menu_keyboard() -> ReplyKeyboardMarkup:
    """Возвращает основную клавиатуру с кнопками Играть и Статистика.""" 
    kb = [
        [
            KeyboardButton(text=PLAY_BUTTON_TEXT),
            KeyboardButton(text=STATS_BUTTON_TEXT)
        ]
    ]
    keyboard = ReplyKeyboardMarkup(
        keyboard=kb,
        resize_keyboard=True, # Делает кнопки более компактными
        # one_time_keyboard=False # Клавиатура будет постоянной (это значение по умолчанию)
        input_field_placeholder="Нажмите Играть или Статистика"
    )
    return keyboard 